Eliminate package approx

14 Mar 2014 20:18 - John Abbott

Status: Closed Start date: 14 Mar 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Cleaning Estimated time: 5.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 5.00 hours

Description

Implement in CoCoALib the fns in package approx; then eliminate the package.

Some fns are already in CoCoALib.

History

#1 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#2 - 04 Apr 2014 15:30 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#3 - 04 Apr 2014 16:23 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 60

Only the function FloatApprox remains to be done.

#4 - 10 Apr 2014 00:51 - John Abbott

I suggest replacing class MantExp by MantExp10 (or Mant10Exp);

and then create new class MantExp2 (or Mant2Exp) to implement a binary version of FloatApprox.

The impl of FloatApprox in C5 package approx.cpkg5 was a decimal version; but that makes little sense (probably it was just easy).

Move FloatApprox to OBSOLESCENT.cpkg5?

#5 - 10 Apr 2014 06:52 - Anna Maria Bigatti

John Abbott wrote:

I suggest replacing clas MantExp by MantExp10 (or Mant10Exp);

and then create new class MantExp2 (or Mant2Exp) to implement a binary version of FloatApprox.

 

I prefer MantExp2 because 2 is often used (not by me!) to mean to
#6 - 10 Apr 2014 17:17 - John Abbott

- % Done changed from 60 to 70

Implemented FloatApprox (binary version) in CoCoALib.  Documented.

How to make the function available to CoCoA-5?

The old function was decimal, while the new one is binary.

#7 - 24 Apr 2014 19:57 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

- Estimated time set to 5.00 h

Old fn is FloatApprox obsolete -- there was no sense in making it decimal (not now that FloatStr exists).

New fn is binary (exported from CoCoALib); not backward compatible with CoCoA-4.  Documented!

Package approx.cpkg has been eliminated; all its fns are now in CoCoALib!

#8 - 07 May 2014 17:32 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.0 Easter14
